#include<bits/stdc++.h>
using namespace std;
int n, l, niz[1050];
int res;
bool pr;
int main()
{
   cin >> n >> l;
   pr = 0;
   res = -1;
   for(int i=1; i<=n; i++)
   {
      cin >> niz[i];
      if(niz[i] <= l and pr == 0)
      {
         pr = 1;
         res = i;
      }
   }
   cout << res << endl;
   return 0;
}